@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

body{
    height: 100vh;
    display: flex;
    background: #4070f4;
    align-items: center;
    justify-content: center;
}

.container{
    position: relative;
    max-width: 500px;
    width: 100%;
    background-color: #ffffff;
    margin: 0 15px;
    padding: 10px 20px;
    border-radius: 7px;
}

.container .skill-box{
    width: 100%;
    margin: 25px 0;
}

.skill-box .title{
    display: block;
    font-size: 14px;
    font-weight: 600px;
    color: #333;
}

.skill-box .skill-bar{
    width: 100%;
    height: 8px;
    border-radius: 6px;
    margin-top: 6px;
    background: rgba(0, 0, 0, 0.1);
}

.skill-bar .skill-per{
    position: relative;
    display: block;
    height: 100%;
    width: 90%;
    border-radius: 6px;
    background: #4070f4;
    animation: progress 1s ease-in-out forwards;
    opacity: 0;
}

.kill-per.csharp{
    width: 90%;
}

.skill-per.javascript{
    width: 60%;
}

.skill-per.java{
    width: 50%;
}

.skill-per.python{
    width: 90%;
}

@keyframes progress {
    0%{
        width: 0;
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.skill-per .tooltip{
    position: absolute;
    right: -14px;
    top: -28px;
    font-size: 9px;
    font-weight: 500;
    color: #fff;
    padding: 2px 6px;
    border-radius: 10px;
    background: #4070f4;
    z-index: 1;
}

.tooltip::before{
    content: '';
    position: absolute;
    left:50%;
    bottom: -2px;
    height: 10px;
    width: 10px;
    z-index: -1;
    background-color: #4070f4;
    transform: translateX(-50%) rotate(45deg);
}